/* $Id: alphablend.h,v 1.2 2002/11/25 05:06:11 iiojun Exp $ */

/* GNODEMPA
 * Copyright (C) 2002 Kazuo HIYANE, Jun IIO, and Tomoyuki YATABE
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2, or (at your option) any
 * later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __ALPHABLEND_H__
#define __ALPHABLEND_H__

#include <malib/malib.h>

BEGIN_C_DECLS

typedef struct _AlphaBlend AlphaBlend;
typedef struct _AlphaBlendClass AlphaBlendClass;

struct _AlphaBlend
{
  MalibMerger		super;
};

struct _AlphaBlendClass
{
  MalibMergerClass	super;
};

AlphaBlend*	alphablend_new_with_bufs (MalibBuffer* main,
					  MalibBuffer* sub);

END_C_DECLS

#endif /* __ALPHABLEND_H__ */
